Bug 170492 - [REPOCOPY] devel/gwenhywfar -> devel/gwenhywfar-{fox16,gtk2,qt4}
[REPOCOPY] devel/gwenhywfar -> devel/gwenhywfar-{fox16,gtk2,qt4}
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Raphael Kubo da Costa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 00:40 UTC by bsdkaffee
Modified: 2012-09-01 18:40 UTC (History)
0 users

See Also:


Attachments
2012-08-08-gwen.tar.gz (10.26 KB, text/plain)
2012-08-09 00:40 UTC, bsdkaffee
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bsdkaffee 2012-08-09 00:40:01 UTC
- Please perform the following repocopies for the new gwenhywfar slave ports:
  devel/gwenhywfar -> devel/gwenhywfar-fox16
  devel/gwenhywfar -> devel/gwenhywfar-gtk2
  devel/gwenhywfar -> devel/gwenhywfar-qt4

- devel/gwenhywfar is now a master port and new slave ports will allow
  the user to install the GUI libraries separately.  This will make packaging
  easier for finance/gnucash and finance/kmymoney-kde4.

- finance/aqbanking has been updated to 5.0.25 and includes a shlib bump, so
  instead of making the user rebuild twice, I am including it here
    - Update to 5.0.25
    - Shlib bump aqbanking.33 -> aqbanking.34
    - Fix LICENSE
    - Convert to new OPTIONS framework

- For finance/gnucash:
    - Adjust LIB_DEPENDS for AQBANKING option so they are installed in the
      correct order
    - Drop unneeded LICENSE_FILE
    - Drop ABI version numbers from all LIB_DEPENDS (if you really want to keep
      them, at least keep the LIB_DEPENDS in the order I changed them to since
      aqbanking should be built last. Also aqbanking.33 -> aqbanking.34)
    - Remove BROKEN message now that the dependency problem is solved

- For finance/kmymoney-kde4:
    - Convert to new OPTIONS framework
    - Drop WITH_* from PLIST_SUB
    - Drop ABI version numbers from all LIB_DEPENDS
    - Add USE_PKGCONFIG=build
    - Remove IGNORE message now that the dependency problem is solved

How-To-Repeat: - Use attached diff
Comment 1 Edwin Groothuis freebsd_committer 2012-08-09 00:40:12 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Raphael Kubo da Costa freebsd_committer 2012-09-01 15:14:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rakuco

I'll take it.
Comment 3 dfilter freebsd_committer 2012-09-01 18:05:38 UTC
Author: rakuco
Date: Sat Sep  1 17:05:14 2012
New Revision: 303495
URL: http://svn.freebsd.org/changeset/ports/303495

Log:
  devel/gwenhywfar:
  - Repocopy devel/gwenhywfar to devel/gwenhywfar-{fox16,gtk2,qt4}.
  - devel/gwenhywfar is now a master port and new slave ports will allow the
    user to install the GUI libraries separately. This will make packaging
    easier for finance/gnucash and finance/kmymoney-kde4.
  
  finance/aqbanking:
  - finance/aqbanking has been updated to 5.0.25 and includes a shlib bump, so
    instead of making the user rebuild twice it is included here.
  - Shlib bump aqbanking.33 -> aqbanking.34.
  - Fix LICENSE.
  - Convert to new OPTIONS framework.
  
  finance/gnucash:
  - Adjust LIB_DEPENDS for AQBANKING option so they are installed in the
    correct order.
  - Drop unneeded LICENSE_FILE.
  - Drop ABI version numbers from all LIB_DEPENDS (if you really want to keep
    them, at least keep the LIB_DEPENDS in the order I changed them to since
    aqbanking should be built last. Also aqbanking.33 -> aqbanking.34).
  - Remove BROKEN message now that the dependency problem is solved.
  
  finance/kmymoney-kde4:
  - Convert to new OPTIONS framework.
  - Drop WITH_* from PLIST_SUB.
  - Drop ABI version numbers from all LIB_DEPENDS.
  - Add USE_PKGCONFIG=build.
  - Remove IGNORE message now that the dependency problem is solved.
  
  Also clean up the header for the touched Makefiles.
  
  PR:		ports/170492
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com> (maintainer)

Added:
  head/devel/gwenhywfar-fox16/
     - copied from r303481, head/devel/gwenhywfar/
  head/devel/gwenhywfar-gtk2/
     - copied from r303481, head/devel/gwenhywfar/
  head/devel/gwenhywfar-qt4/
     - copied from r303481, head/devel/gwenhywfar/
Modified:
  head/devel/Makefile
  head/devel/gwenhywfar-fox16/Makefile
  head/devel/gwenhywfar-fox16/distinfo
  head/devel/gwenhywfar-fox16/files/patch-configure
  head/devel/gwenhywfar-fox16/pkg-descr
  head/devel/gwenhywfar-fox16/pkg-plist   (contents, props changed)
  head/devel/gwenhywfar-gtk2/Makefile
  head/devel/gwenhywfar-gtk2/distinfo
  head/devel/gwenhywfar-gtk2/files/patch-configure
  head/devel/gwenhywfar-gtk2/pkg-descr
  head/devel/gwenhywfar-gtk2/pkg-plist   (contents, props changed)
  head/devel/gwenhywfar-qt4/Makefile
  head/devel/gwenhywfar-qt4/distinfo
  head/devel/gwenhywfar-qt4/files/patch-configure
  head/devel/gwenhywfar-qt4/pkg-descr
  head/devel/gwenhywfar-qt4/pkg-plist   (contents, props changed)
  head/devel/gwenhywfar/Makefile
  head/devel/gwenhywfar/pkg-plist   (contents, props changed)
  head/finance/aqbanking/Makefile
  head/finance/aqbanking/distinfo
  head/finance/aqbanking/pkg-plist
  head/finance/gnucash/Makefile
  head/finance/kmymoney-kde4/Makefile
  head/finance/kmymoney-kde4/pkg-plist

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sat Sep  1 17:05:11 2012	(r303494)
+++ head/devel/Makefile	Sat Sep  1 17:05:14 2012	(r303495)
@@ -560,6 +560,9 @@
     SUBDIR += guiloader-c++
     SUBDIR += gvfs
     SUBDIR += gwenhywfar
+    SUBDIR += gwenhywfar-fox16
+    SUBDIR += gwenhywfar-gtk2
+    SUBDIR += gwenhywfar-qt4
     SUBDIR += gzstream
     SUBDIR += hachoir-core
     SUBDIR += hachoir-parser

Modified: head/devel/gwenhywfar-fox16/Makefile
==============================================================================
--- head/devel/gwenhywfar/Makefile	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-fox16/Makefile	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,9 +1,4 @@
-# New ports collection makefile for:	gwenhywfar
-# Date created:		2005-05-05
-# Whom:			Peter Cornelius <pcc.at.gmx.net>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	gwenhywfar
 PORTVERSION=	4.3.3

Modified: head/devel/gwenhywfar-fox16/distinfo
==============================================================================
--- head/devel/gwenhywfar/distinfo	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-fox16/distinfo	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,2 +0,0 @@
-SHA256 (gwenhywfar-4.3.3.tar.gz) = 87ed0f8669e1c21eaa717a18a8cf516b771c00610f5e17148cd36bce0d7d8ec2
-SIZE (gwenhywfar-4.3.3.tar.gz) = 2346826

Modified: head/devel/gwenhywfar-fox16/files/patch-configure
==============================================================================
--- head/devel/gwenhywfar/files/patch-configure	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-fox16/files/patch-configure	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,11 +0,0 @@
---- ./configure.orig	2011-07-19 09:08:26.000000000 -0400
-+++ ./configure	2011-07-19 09:08:11.000000000 -0400
-@@ -20457,7 +20457,7 @@
- $as_echo_n "checking if symbol visibility is supported... " >&6; }
-   visibility_cflags=""
-   case `$CC --version|head -n1|cut -f1 -d " "` in
--    *gcc*)
-+    cc|*gcc*)
-                      gccversion="` ${CC} -dumpversion `"
-        case $gccversion in
-          4.*)

Modified: head/devel/gwenhywfar-fox16/pkg-descr
==============================================================================
--- head/devel/gwenhywfar/pkg-descr	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-fox16/pkg-descr	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,16 +0,0 @@
-This is Gwenhywfar, a multi-platform (*BSD, Linux, MS-Win, etc.)
-helper library for networking and security applications and libraries.
-It is used by several 'finance' ports, and possibly others.
-
-Gwenhywfar includes the following features, among several others:
-- OS abstraction functions for directory and Internet address handling
-  and library loading (src/os/)
-- Networking functions which allow managing many connections to be used
-  economically even in single threaded applications
-- High-level functions for parsing files with a simplified "XML-like"
-  format and accessing them like a hierarchical database (src/parser/)
-  It is able to process valid XML files, too.
-- High-level cryptographic functions on top of OpenSSL functionality
-  (src/crypt/)
-
-WWW:	http://www.aquamaniac.de/

Modified: head/devel/gwenhywfar-fox16/pkg-plist
==============================================================================
--- head/devel/gwenhywfar/pkg-plist	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-fox16/pkg-plist	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,213 +1,14 @@
-bin/gct-tool
-bin/gsa
-bin/gwenhywfar-config
-bin/mklistdoc
-bin/typemaker
-bin/typemaker2
-bin/xmlmerge
-include/gwenhywfar4/gwen-gui-cpp/cppdialog.hpp
-include/gwenhywfar4/gwen-gui-cpp/cppgui.hpp
-include/gwenhywfar4/gwen-gui-cpp/cppwidget.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/api.h
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/cppdialog.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/cppgui.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_gui.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmlctx.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmllabel.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmltext.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/theme.h
-%%WITH_GTK2%%include/gwenhywfar4/gwen-gui-gtk2/gtk2_gui.h
-%%WITH_QT4%%include/gwenhywfar4/gwen-gui-qt4/qt4_gui.hpp
-include/gwenhywfar4/gwenhywfar/args.h
-include/gwenhywfar4/gwenhywfar/base64.h
-include/gwenhywfar4/gwenhywfar/buffer.h
-include/gwenhywfar4/gwenhywfar/cgui.h
-include/gwenhywfar4/gwenhywfar/configmgr.h
-include/gwenhywfar4/gwenhywfar/configmgr_be.h
-include/gwenhywfar4/gwenhywfar/cryptalgo.h
-include/gwenhywfar4/gwenhywfar/cryptdefs.h
-include/gwenhywfar4/gwenhywfar/crypthead.h
-include/gwenhywfar4/gwenhywfar/cryptkey.h
-include/gwenhywfar4/gwenhywfar/cryptkey_be.h
-include/gwenhywfar4/gwenhywfar/cryptkeyrsa.h
-include/gwenhywfar4/gwenhywfar/cryptkeysym.h
-include/gwenhywfar4/gwenhywfar/cryptmgr.h
-include/gwenhywfar4/gwenhywfar/cryptmgr_be.h
-include/gwenhywfar4/gwenhywfar/cryptmgrkeys.h
-include/gwenhywfar4/gwenhywfar/ct.h
-include/gwenhywfar4/gwenhywfar/ct_be.h
-include/gwenhywfar4/gwenhywfar/ct_context.h
-include/gwenhywfar4/gwenhywfar/ct_keyinfo.h
-include/gwenhywfar4/gwenhywfar/ctf_context_be.h
-include/gwenhywfar4/gwenhywfar/ctfile_be.h
-include/gwenhywfar4/gwenhywfar/ctplugin.h
-include/gwenhywfar4/gwenhywfar/ctplugin_be.h
-include/gwenhywfar4/gwenhywfar/db.h
-include/gwenhywfar4/gwenhywfar/dbio.h
-include/gwenhywfar4/gwenhywfar/dbio_be.h
-include/gwenhywfar4/gwenhywfar/debug.h
-include/gwenhywfar4/gwenhywfar/dialog.h
-include/gwenhywfar4/gwenhywfar/dialog_be.h
-include/gwenhywfar4/gwenhywfar/directory.h
-include/gwenhywfar4/gwenhywfar/error.h
-include/gwenhywfar4/gwenhywfar/fastbuffer.h
-include/gwenhywfar4/gwenhywfar/fslock.h
-include/gwenhywfar4/gwenhywfar/gui.h
-include/gwenhywfar4/gwenhywfar/gui_be.h
-include/gwenhywfar4/gwenhywfar/gwen_sar_fileheader.h
-include/gwenhywfar4/gwenhywfar/gwendate.h
-include/gwenhywfar4/gwenhywfar/gwenhywfar.h
-include/gwenhywfar4/gwenhywfar/gwenhywfarapi.h
-include/gwenhywfar4/gwenhywfar/gwensemaphore.h
-include/gwenhywfar4/gwenhywfar/gwensignal.h
-include/gwenhywfar4/gwenhywfar/gwentime.h
-include/gwenhywfar4/gwenhywfar/hashalgo.h
-include/gwenhywfar4/gwenhywfar/htmlctx_be.h
-include/gwenhywfar4/gwenhywfar/htmlfont_be.h
-include/gwenhywfar4/gwenhywfar/htmlimage_be.h
-include/gwenhywfar4/gwenhywfar/htmlobject_be.h
-include/gwenhywfar4/gwenhywfar/htmlprops_be.h
-include/gwenhywfar4/gwenhywfar/httpsession.h
-include/gwenhywfar4/gwenhywfar/i18n.h
-include/gwenhywfar4/gwenhywfar/idlist.h
-include/gwenhywfar4/gwenhywfar/idlist64.h
-include/gwenhywfar4/gwenhywfar/idmap.h
-include/gwenhywfar4/gwenhywfar/inetaddr.h
-include/gwenhywfar4/gwenhywfar/inetsocket.h
-include/gwenhywfar4/gwenhywfar/inherit.h
-include/gwenhywfar4/gwenhywfar/libloader.h
-include/gwenhywfar4/gwenhywfar/list.h
-include/gwenhywfar4/gwenhywfar/list1.h
-include/gwenhywfar4/gwenhywfar/list1.tmpl
-include/gwenhywfar4/gwenhywfar/list2.h
-include/gwenhywfar4/gwenhywfar/list2.tmpl
-include/gwenhywfar4/gwenhywfar/logger.h
-include/gwenhywfar4/gwenhywfar/mdigest.h
-include/gwenhywfar4/gwenhywfar/mdigest_be.h
-include/gwenhywfar4/gwenhywfar/memcache.h
-include/gwenhywfar4/gwenhywfar/memory.h
-include/gwenhywfar4/gwenhywfar/misc.h
-include/gwenhywfar4/gwenhywfar/misc2.h
-include/gwenhywfar4/gwenhywfar/msgengine.h
-include/gwenhywfar4/gwenhywfar/mutex.h
-include/gwenhywfar4/gwenhywfar/o_image_be.h
-include/gwenhywfar4/gwenhywfar/padd.h
-include/gwenhywfar4/gwenhywfar/paddalgo.h
-include/gwenhywfar4/gwenhywfar/path.h
-include/gwenhywfar4/gwenhywfar/pathmanager.h
-include/gwenhywfar4/gwenhywfar/plugin.h
-include/gwenhywfar4/gwenhywfar/plugindescr.h
-include/gwenhywfar4/gwenhywfar/process.h
-include/gwenhywfar4/gwenhywfar/refptr.h
-include/gwenhywfar4/gwenhywfar/ringbuffer.h
-include/gwenhywfar4/gwenhywfar/sar.h
-include/gwenhywfar4/gwenhywfar/sighead.h
-include/gwenhywfar4/gwenhywfar/sigtail.h
-include/gwenhywfar4/gwenhywfar/smalltresor.h
-include/gwenhywfar4/gwenhywfar/ssl_cert_descr.h
-include/gwenhywfar4/gwenhywfar/ssl_cert_flags.h
-include/gwenhywfar4/gwenhywfar/stringlist.h
-include/gwenhywfar4/gwenhywfar/stringlist2.h
-include/gwenhywfar4/gwenhywfar/syncio.h
-include/gwenhywfar4/gwenhywfar/syncio_buffered.h
-include/gwenhywfar4/gwenhywfar/syncio_file.h
-include/gwenhywfar4/gwenhywfar/syncio_http.h
-include/gwenhywfar4/gwenhywfar/syncio_memory.h
-include/gwenhywfar4/gwenhywfar/syncio_socket.h
-include/gwenhywfar4/gwenhywfar/syncio_tls.h
-include/gwenhywfar4/gwenhywfar/system.h
-include/gwenhywfar4/gwenhywfar/tag16.h
-include/gwenhywfar4/gwenhywfar/text.h
-include/gwenhywfar4/gwenhywfar/tlv.h
-include/gwenhywfar4/gwenhywfar/tree.h
-include/gwenhywfar4/gwenhywfar/types.h
-include/gwenhywfar4/gwenhywfar/url.h
-include/gwenhywfar4/gwenhywfar/urlfns.h
-include/gwenhywfar4/gwenhywfar/version.h
-include/gwenhywfar4/gwenhywfar/widget_be.h
-include/gwenhywfar4/gwenhywfar/xml.h
-include/gwenhywfar4/gwenhywfar/xmlctx.h
-include/gwenhywfar4/gwenhywfar/xsdnode.h
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.so.0
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.so.0
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.so.0
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.xml
-%%WITH_FOX16%%lib/libgwengui-fox16.a
-%%WITH_FOX16%%lib/libgwengui-fox16.la
-%%WITH_FOX16%%lib/libgwengui-fox16.so
-%%WITH_FOX16%%lib/libgwengui-fox16.so.0
-%%WITH_GTK2%%lib/libgwengui-gtk2.a
-%%WITH_GTK2%%lib/libgwengui-gtk2.la
-%%WITH_GTK2%%lib/libgwengui-gtk2.so
-%%WITH_GTK2%%lib/libgwengui-gtk2.so.0
-%%WITH_QT4%%lib/libgwengui-qt4.a
-%%WITH_QT4%%lib/libgwengui-qt4.la
-%%WITH_QT4%%lib/libgwengui-qt4.so
-%%WITH_QT4%%lib/libgwengui-qt4.so.0
-lib/libgwenhywfar.a
-lib/libgwenhywfar.la
-lib/libgwenhywfar.so
-lib/libgwenhywfar.so.63
-%%WITH_FOX16%%libdata/pkgconfig/gwengui-fox16.pc
-%%WITH_GTK2%%libdata/pkgconfig/gwengui-gtk2.pc
-%%WITH_QT4%%libdata/pkgconfig/gwengui-qt4.pc
-libdata/pkgconfig/gwenhywfar.pc
-share/aclocal/gwenhywfar.m4
-share/gwenhywfar/ca-bundle.crt
-share/gwenhywfar/dialogs/dlg_input.dlg
-share/gwenhywfar/dialogs/dlg_message.dlg
-share/gwenhywfar/dialogs/dlg_progress.dlg
-share/gwenhywfar/dialogs/dlg_showbox.dlg
-share/gwenhywfar/typemaker2/c/char.tm2
-share/gwenhywfar/typemaker2/c/char_array.tm2
-share/gwenhywfar/typemaker2/c/char_ptr.tm2
-share/gwenhywfar/typemaker2/c/double.tm2
-share/gwenhywfar/typemaker2/c/gwen_buffer.tm2
-share/gwenhywfar/typemaker2/c/gwen_date.tm2
-share/gwenhywfar/typemaker2/c/gwen_idlist64.tm2
-share/gwenhywfar/typemaker2/c/gwen_time.tm2
-share/gwenhywfar/typemaker2/c/idmap_base.tm2
-share/gwenhywfar/typemaker2/c/int.tm2
-share/gwenhywfar/typemaker2/c/int_base.tm2
-share/gwenhywfar/typemaker2/c/list1_base.tm2
-share/gwenhywfar/typemaker2/c/list2_base.tm2
-share/gwenhywfar/typemaker2/c/struct_base.tm2
-share/gwenhywfar/typemaker2/c/tree_base.tm2
-share/gwenhywfar/typemaker2/c/uint32_t.tm2
-share/gwenhywfar/typemaker2/c/uint64_t.tm2
-share/locale/de/LC_MESSAGES/gwenhywfar.mo
-@dirrm share/gwenhywfar/typemaker2/c
-@dirrm share/gwenhywfar/typemaker2
-@dirrm share/gwenhywfar/dialogs
-@dirrm share/gwenhywfar
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%
-@dirrm lib/gwenhywfar/plugins
-@dirrm lib/gwenhywfar
-@dirrm include/gwenhywfar4/gwenhywfar
-%%WITH_QT4%%@dirrm include/gwenhywfar4/gwen-gui-qt4
-%%WITH_GTK2%%@dirrm include/gwenhywfar4/gwen-gui-gtk2
-%%WITH_FOX16%%@dirrm include/gwenhywfar4/gwen-gui-fox16
-@dirrm include/gwenhywfar4/gwen-gui-cpp
-@dirrm include/gwenhywfar4
+include/gwenhywfar4/gwen-gui-fox16/api.h
+include/gwenhywfar4/gwen-gui-fox16/cppdialog.hpp
+include/gwenhywfar4/gwen-gui-fox16/cppgui.hpp
+include/gwenhywfar4/gwen-gui-fox16/fox16_gui.hpp
+include/gwenhywfar4/gwen-gui-fox16/fox16_htmlctx.hpp
+include/gwenhywfar4/gwen-gui-fox16/fox16_htmllabel.hpp
+include/gwenhywfar4/gwen-gui-fox16/fox16_htmltext.hpp
+include/gwenhywfar4/gwen-gui-fox16/theme.h
+lib/libgwengui-fox16.a
+lib/libgwengui-fox16.la
+lib/libgwengui-fox16.so
+lib/libgwengui-fox16.so.0
+libdata/pkgconfig/gwengui-fox16.pc
+@dirrm include/gwenhywfar4/gwen-gui-fox16

Modified: head/devel/gwenhywfar-gtk2/Makefile
==============================================================================
--- head/devel/gwenhywfar/Makefile	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-gtk2/Makefile	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,9 +1,4 @@
-# New ports collection makefile for:	gwenhywfar
-# Date created:		2005-05-05
-# Whom:			Peter Cornelius <pcc.at.gmx.net>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	gwenhywfar
 PORTVERSION=	4.3.3

Modified: head/devel/gwenhywfar-gtk2/distinfo
==============================================================================
--- head/devel/gwenhywfar/distinfo	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-gtk2/distinfo	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,2 +0,0 @@
-SHA256 (gwenhywfar-4.3.3.tar.gz) = 87ed0f8669e1c21eaa717a18a8cf516b771c00610f5e17148cd36bce0d7d8ec2
-SIZE (gwenhywfar-4.3.3.tar.gz) = 2346826

Modified: head/devel/gwenhywfar-gtk2/files/patch-configure
==============================================================================
--- head/devel/gwenhywfar/files/patch-configure	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-gtk2/files/patch-configure	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,11 +0,0 @@
---- ./configure.orig	2011-07-19 09:08:26.000000000 -0400
-+++ ./configure	2011-07-19 09:08:11.000000000 -0400
-@@ -20457,7 +20457,7 @@
- $as_echo_n "checking if symbol visibility is supported... " >&6; }
-   visibility_cflags=""
-   case `$CC --version|head -n1|cut -f1 -d " "` in
--    *gcc*)
-+    cc|*gcc*)
-                      gccversion="` ${CC} -dumpversion `"
-        case $gccversion in
-          4.*)

Modified: head/devel/gwenhywfar-gtk2/pkg-descr
==============================================================================
--- head/devel/gwenhywfar/pkg-descr	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-gtk2/pkg-descr	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,16 +0,0 @@
-This is Gwenhywfar, a multi-platform (*BSD, Linux, MS-Win, etc.)
-helper library for networking and security applications and libraries.
-It is used by several 'finance' ports, and possibly others.
-
-Gwenhywfar includes the following features, among several others:
-- OS abstraction functions for directory and Internet address handling
-  and library loading (src/os/)
-- Networking functions which allow managing many connections to be used
-  economically even in single threaded applications
-- High-level functions for parsing files with a simplified "XML-like"
-  format and accessing them like a hierarchical database (src/parser/)
-  It is able to process valid XML files, too.
-- High-level cryptographic functions on top of OpenSSL functionality
-  (src/crypt/)
-
-WWW:	http://www.aquamaniac.de/

Modified: head/devel/gwenhywfar-gtk2/pkg-plist
==============================================================================
--- head/devel/gwenhywfar/pkg-plist	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-gtk2/pkg-plist	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,213 +1,7 @@
-bin/gct-tool
-bin/gsa
-bin/gwenhywfar-config
-bin/mklistdoc
-bin/typemaker
-bin/typemaker2
-bin/xmlmerge
-include/gwenhywfar4/gwen-gui-cpp/cppdialog.hpp
-include/gwenhywfar4/gwen-gui-cpp/cppgui.hpp
-include/gwenhywfar4/gwen-gui-cpp/cppwidget.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/api.h
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/cppdialog.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/cppgui.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_gui.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmlctx.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmllabel.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmltext.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/theme.h
-%%WITH_GTK2%%include/gwenhywfar4/gwen-gui-gtk2/gtk2_gui.h
-%%WITH_QT4%%include/gwenhywfar4/gwen-gui-qt4/qt4_gui.hpp
-include/gwenhywfar4/gwenhywfar/args.h
-include/gwenhywfar4/gwenhywfar/base64.h
-include/gwenhywfar4/gwenhywfar/buffer.h
-include/gwenhywfar4/gwenhywfar/cgui.h
-include/gwenhywfar4/gwenhywfar/configmgr.h
-include/gwenhywfar4/gwenhywfar/configmgr_be.h
-include/gwenhywfar4/gwenhywfar/cryptalgo.h
-include/gwenhywfar4/gwenhywfar/cryptdefs.h
-include/gwenhywfar4/gwenhywfar/crypthead.h
-include/gwenhywfar4/gwenhywfar/cryptkey.h
-include/gwenhywfar4/gwenhywfar/cryptkey_be.h
-include/gwenhywfar4/gwenhywfar/cryptkeyrsa.h
-include/gwenhywfar4/gwenhywfar/cryptkeysym.h
-include/gwenhywfar4/gwenhywfar/cryptmgr.h
-include/gwenhywfar4/gwenhywfar/cryptmgr_be.h
-include/gwenhywfar4/gwenhywfar/cryptmgrkeys.h
-include/gwenhywfar4/gwenhywfar/ct.h
-include/gwenhywfar4/gwenhywfar/ct_be.h
-include/gwenhywfar4/gwenhywfar/ct_context.h
-include/gwenhywfar4/gwenhywfar/ct_keyinfo.h
-include/gwenhywfar4/gwenhywfar/ctf_context_be.h
-include/gwenhywfar4/gwenhywfar/ctfile_be.h
-include/gwenhywfar4/gwenhywfar/ctplugin.h
-include/gwenhywfar4/gwenhywfar/ctplugin_be.h
-include/gwenhywfar4/gwenhywfar/db.h
-include/gwenhywfar4/gwenhywfar/dbio.h
-include/gwenhywfar4/gwenhywfar/dbio_be.h
-include/gwenhywfar4/gwenhywfar/debug.h
-include/gwenhywfar4/gwenhywfar/dialog.h
-include/gwenhywfar4/gwenhywfar/dialog_be.h
-include/gwenhywfar4/gwenhywfar/directory.h
-include/gwenhywfar4/gwenhywfar/error.h
-include/gwenhywfar4/gwenhywfar/fastbuffer.h
-include/gwenhywfar4/gwenhywfar/fslock.h
-include/gwenhywfar4/gwenhywfar/gui.h
-include/gwenhywfar4/gwenhywfar/gui_be.h
-include/gwenhywfar4/gwenhywfar/gwen_sar_fileheader.h
-include/gwenhywfar4/gwenhywfar/gwendate.h
-include/gwenhywfar4/gwenhywfar/gwenhywfar.h
-include/gwenhywfar4/gwenhywfar/gwenhywfarapi.h
-include/gwenhywfar4/gwenhywfar/gwensemaphore.h
-include/gwenhywfar4/gwenhywfar/gwensignal.h
-include/gwenhywfar4/gwenhywfar/gwentime.h
-include/gwenhywfar4/gwenhywfar/hashalgo.h
-include/gwenhywfar4/gwenhywfar/htmlctx_be.h
-include/gwenhywfar4/gwenhywfar/htmlfont_be.h
-include/gwenhywfar4/gwenhywfar/htmlimage_be.h
-include/gwenhywfar4/gwenhywfar/htmlobject_be.h
-include/gwenhywfar4/gwenhywfar/htmlprops_be.h
-include/gwenhywfar4/gwenhywfar/httpsession.h
-include/gwenhywfar4/gwenhywfar/i18n.h
-include/gwenhywfar4/gwenhywfar/idlist.h
-include/gwenhywfar4/gwenhywfar/idlist64.h
-include/gwenhywfar4/gwenhywfar/idmap.h
-include/gwenhywfar4/gwenhywfar/inetaddr.h
-include/gwenhywfar4/gwenhywfar/inetsocket.h
-include/gwenhywfar4/gwenhywfar/inherit.h
-include/gwenhywfar4/gwenhywfar/libloader.h
-include/gwenhywfar4/gwenhywfar/list.h
-include/gwenhywfar4/gwenhywfar/list1.h
-include/gwenhywfar4/gwenhywfar/list1.tmpl
-include/gwenhywfar4/gwenhywfar/list2.h
-include/gwenhywfar4/gwenhywfar/list2.tmpl
-include/gwenhywfar4/gwenhywfar/logger.h
-include/gwenhywfar4/gwenhywfar/mdigest.h
-include/gwenhywfar4/gwenhywfar/mdigest_be.h
-include/gwenhywfar4/gwenhywfar/memcache.h
-include/gwenhywfar4/gwenhywfar/memory.h
-include/gwenhywfar4/gwenhywfar/misc.h
-include/gwenhywfar4/gwenhywfar/misc2.h
-include/gwenhywfar4/gwenhywfar/msgengine.h
-include/gwenhywfar4/gwenhywfar/mutex.h
-include/gwenhywfar4/gwenhywfar/o_image_be.h
-include/gwenhywfar4/gwenhywfar/padd.h
-include/gwenhywfar4/gwenhywfar/paddalgo.h
-include/gwenhywfar4/gwenhywfar/path.h
-include/gwenhywfar4/gwenhywfar/pathmanager.h
-include/gwenhywfar4/gwenhywfar/plugin.h
-include/gwenhywfar4/gwenhywfar/plugindescr.h
-include/gwenhywfar4/gwenhywfar/process.h
-include/gwenhywfar4/gwenhywfar/refptr.h
-include/gwenhywfar4/gwenhywfar/ringbuffer.h
-include/gwenhywfar4/gwenhywfar/sar.h
-include/gwenhywfar4/gwenhywfar/sighead.h
-include/gwenhywfar4/gwenhywfar/sigtail.h
-include/gwenhywfar4/gwenhywfar/smalltresor.h
-include/gwenhywfar4/gwenhywfar/ssl_cert_descr.h
-include/gwenhywfar4/gwenhywfar/ssl_cert_flags.h
-include/gwenhywfar4/gwenhywfar/stringlist.h
-include/gwenhywfar4/gwenhywfar/stringlist2.h
-include/gwenhywfar4/gwenhywfar/syncio.h
-include/gwenhywfar4/gwenhywfar/syncio_buffered.h
-include/gwenhywfar4/gwenhywfar/syncio_file.h
-include/gwenhywfar4/gwenhywfar/syncio_http.h
-include/gwenhywfar4/gwenhywfar/syncio_memory.h
-include/gwenhywfar4/gwenhywfar/syncio_socket.h
-include/gwenhywfar4/gwenhywfar/syncio_tls.h
-include/gwenhywfar4/gwenhywfar/system.h
-include/gwenhywfar4/gwenhywfar/tag16.h
-include/gwenhywfar4/gwenhywfar/text.h
-include/gwenhywfar4/gwenhywfar/tlv.h
-include/gwenhywfar4/gwenhywfar/tree.h
-include/gwenhywfar4/gwenhywfar/types.h
-include/gwenhywfar4/gwenhywfar/url.h
-include/gwenhywfar4/gwenhywfar/urlfns.h
-include/gwenhywfar4/gwenhywfar/version.h
-include/gwenhywfar4/gwenhywfar/widget_be.h
-include/gwenhywfar4/gwenhywfar/xml.h
-include/gwenhywfar4/gwenhywfar/xmlctx.h
-include/gwenhywfar4/gwenhywfar/xsdnode.h
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.so.0
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.so.0
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.so.0
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.xml
-%%WITH_FOX16%%lib/libgwengui-fox16.a
-%%WITH_FOX16%%lib/libgwengui-fox16.la
-%%WITH_FOX16%%lib/libgwengui-fox16.so
-%%WITH_FOX16%%lib/libgwengui-fox16.so.0
-%%WITH_GTK2%%lib/libgwengui-gtk2.a
-%%WITH_GTK2%%lib/libgwengui-gtk2.la
-%%WITH_GTK2%%lib/libgwengui-gtk2.so
-%%WITH_GTK2%%lib/libgwengui-gtk2.so.0
-%%WITH_QT4%%lib/libgwengui-qt4.a
-%%WITH_QT4%%lib/libgwengui-qt4.la
-%%WITH_QT4%%lib/libgwengui-qt4.so
-%%WITH_QT4%%lib/libgwengui-qt4.so.0
-lib/libgwenhywfar.a
-lib/libgwenhywfar.la
-lib/libgwenhywfar.so
-lib/libgwenhywfar.so.63
-%%WITH_FOX16%%libdata/pkgconfig/gwengui-fox16.pc
-%%WITH_GTK2%%libdata/pkgconfig/gwengui-gtk2.pc
-%%WITH_QT4%%libdata/pkgconfig/gwengui-qt4.pc
-libdata/pkgconfig/gwenhywfar.pc
-share/aclocal/gwenhywfar.m4
-share/gwenhywfar/ca-bundle.crt
-share/gwenhywfar/dialogs/dlg_input.dlg
-share/gwenhywfar/dialogs/dlg_message.dlg
-share/gwenhywfar/dialogs/dlg_progress.dlg
-share/gwenhywfar/dialogs/dlg_showbox.dlg
-share/gwenhywfar/typemaker2/c/char.tm2
-share/gwenhywfar/typemaker2/c/char_array.tm2
-share/gwenhywfar/typemaker2/c/char_ptr.tm2
-share/gwenhywfar/typemaker2/c/double.tm2
-share/gwenhywfar/typemaker2/c/gwen_buffer.tm2
-share/gwenhywfar/typemaker2/c/gwen_date.tm2
-share/gwenhywfar/typemaker2/c/gwen_idlist64.tm2
-share/gwenhywfar/typemaker2/c/gwen_time.tm2
-share/gwenhywfar/typemaker2/c/idmap_base.tm2
-share/gwenhywfar/typemaker2/c/int.tm2
-share/gwenhywfar/typemaker2/c/int_base.tm2
-share/gwenhywfar/typemaker2/c/list1_base.tm2
-share/gwenhywfar/typemaker2/c/list2_base.tm2
-share/gwenhywfar/typemaker2/c/struct_base.tm2
-share/gwenhywfar/typemaker2/c/tree_base.tm2
-share/gwenhywfar/typemaker2/c/uint32_t.tm2
-share/gwenhywfar/typemaker2/c/uint64_t.tm2
-share/locale/de/LC_MESSAGES/gwenhywfar.mo
-@dirrm share/gwenhywfar/typemaker2/c
-@dirrm share/gwenhywfar/typemaker2
-@dirrm share/gwenhywfar/dialogs
-@dirrm share/gwenhywfar
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%
-@dirrm lib/gwenhywfar/plugins
-@dirrm lib/gwenhywfar
-@dirrm include/gwenhywfar4/gwenhywfar
-%%WITH_QT4%%@dirrm include/gwenhywfar4/gwen-gui-qt4
-%%WITH_GTK2%%@dirrm include/gwenhywfar4/gwen-gui-gtk2
-%%WITH_FOX16%%@dirrm include/gwenhywfar4/gwen-gui-fox16
-@dirrm include/gwenhywfar4/gwen-gui-cpp
-@dirrm include/gwenhywfar4
+include/gwenhywfar4/gwen-gui-gtk2/gtk2_gui.h
+lib/libgwengui-gtk2.a
+lib/libgwengui-gtk2.la
+lib/libgwengui-gtk2.so
+lib/libgwengui-gtk2.so.0
+libdata/pkgconfig/gwengui-gtk2.pc
+@dirrm include/gwenhywfar4/gwen-gui-gtk2

Modified: head/devel/gwenhywfar-qt4/Makefile
==============================================================================
--- head/devel/gwenhywfar/Makefile	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-qt4/Makefile	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,9 +1,4 @@
-# New ports collection makefile for:	gwenhywfar
-# Date created:		2005-05-05
-# Whom:			Peter Cornelius <pcc.at.gmx.net>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	gwenhywfar
 PORTVERSION=	4.3.3

Modified: head/devel/gwenhywfar-qt4/distinfo
==============================================================================
--- head/devel/gwenhywfar/distinfo	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-qt4/distinfo	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,2 +0,0 @@
-SHA256 (gwenhywfar-4.3.3.tar.gz) = 87ed0f8669e1c21eaa717a18a8cf516b771c00610f5e17148cd36bce0d7d8ec2
-SIZE (gwenhywfar-4.3.3.tar.gz) = 2346826

Modified: head/devel/gwenhywfar-qt4/files/patch-configure
==============================================================================
--- head/devel/gwenhywfar/files/patch-configure	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-qt4/files/patch-configure	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,11 +0,0 @@
---- ./configure.orig	2011-07-19 09:08:26.000000000 -0400
-+++ ./configure	2011-07-19 09:08:11.000000000 -0400
-@@ -20457,7 +20457,7 @@
- $as_echo_n "checking if symbol visibility is supported... " >&6; }
-   visibility_cflags=""
-   case `$CC --version|head -n1|cut -f1 -d " "` in
--    *gcc*)
-+    cc|*gcc*)
-                      gccversion="` ${CC} -dumpversion `"
-        case $gccversion in
-          4.*)

Modified: head/devel/gwenhywfar-qt4/pkg-descr
==============================================================================
--- head/devel/gwenhywfar/pkg-descr	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-qt4/pkg-descr	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,16 +0,0 @@
-This is Gwenhywfar, a multi-platform (*BSD, Linux, MS-Win, etc.)
-helper library for networking and security applications and libraries.
-It is used by several 'finance' ports, and possibly others.
-
-Gwenhywfar includes the following features, among several others:
-- OS abstraction functions for directory and Internet address handling
-  and library loading (src/os/)
-- Networking functions which allow managing many connections to be used
-  economically even in single threaded applications
-- High-level functions for parsing files with a simplified "XML-like"
-  format and accessing them like a hierarchical database (src/parser/)
-  It is able to process valid XML files, too.
-- High-level cryptographic functions on top of OpenSSL functionality
-  (src/crypt/)
-
-WWW:	http://www.aquamaniac.de/

Modified: head/devel/gwenhywfar-qt4/pkg-plist
==============================================================================
--- head/devel/gwenhywfar/pkg-plist	Sat Sep  1 14:13:10 2012	(r303481)
+++ head/devel/gwenhywfar-qt4/pkg-plist	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,213 +1,7 @@
-bin/gct-tool
-bin/gsa
-bin/gwenhywfar-config
-bin/mklistdoc
-bin/typemaker
-bin/typemaker2
-bin/xmlmerge
-include/gwenhywfar4/gwen-gui-cpp/cppdialog.hpp
-include/gwenhywfar4/gwen-gui-cpp/cppgui.hpp
-include/gwenhywfar4/gwen-gui-cpp/cppwidget.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/api.h
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/cppdialog.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/cppgui.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_gui.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmlctx.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmllabel.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmltext.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/theme.h
-%%WITH_GTK2%%include/gwenhywfar4/gwen-gui-gtk2/gtk2_gui.h
-%%WITH_QT4%%include/gwenhywfar4/gwen-gui-qt4/qt4_gui.hpp
-include/gwenhywfar4/gwenhywfar/args.h
-include/gwenhywfar4/gwenhywfar/base64.h
-include/gwenhywfar4/gwenhywfar/buffer.h
-include/gwenhywfar4/gwenhywfar/cgui.h
-include/gwenhywfar4/gwenhywfar/configmgr.h
-include/gwenhywfar4/gwenhywfar/configmgr_be.h
-include/gwenhywfar4/gwenhywfar/cryptalgo.h
-include/gwenhywfar4/gwenhywfar/cryptdefs.h
-include/gwenhywfar4/gwenhywfar/crypthead.h
-include/gwenhywfar4/gwenhywfar/cryptkey.h
-include/gwenhywfar4/gwenhywfar/cryptkey_be.h
-include/gwenhywfar4/gwenhywfar/cryptkeyrsa.h
-include/gwenhywfar4/gwenhywfar/cryptkeysym.h
-include/gwenhywfar4/gwenhywfar/cryptmgr.h
-include/gwenhywfar4/gwenhywfar/cryptmgr_be.h
-include/gwenhywfar4/gwenhywfar/cryptmgrkeys.h
-include/gwenhywfar4/gwenhywfar/ct.h
-include/gwenhywfar4/gwenhywfar/ct_be.h
-include/gwenhywfar4/gwenhywfar/ct_context.h
-include/gwenhywfar4/gwenhywfar/ct_keyinfo.h
-include/gwenhywfar4/gwenhywfar/ctf_context_be.h
-include/gwenhywfar4/gwenhywfar/ctfile_be.h
-include/gwenhywfar4/gwenhywfar/ctplugin.h
-include/gwenhywfar4/gwenhywfar/ctplugin_be.h
-include/gwenhywfar4/gwenhywfar/db.h
-include/gwenhywfar4/gwenhywfar/dbio.h
-include/gwenhywfar4/gwenhywfar/dbio_be.h
-include/gwenhywfar4/gwenhywfar/debug.h
-include/gwenhywfar4/gwenhywfar/dialog.h
-include/gwenhywfar4/gwenhywfar/dialog_be.h
-include/gwenhywfar4/gwenhywfar/directory.h
-include/gwenhywfar4/gwenhywfar/error.h
-include/gwenhywfar4/gwenhywfar/fastbuffer.h
-include/gwenhywfar4/gwenhywfar/fslock.h
-include/gwenhywfar4/gwenhywfar/gui.h
-include/gwenhywfar4/gwenhywfar/gui_be.h
-include/gwenhywfar4/gwenhywfar/gwen_sar_fileheader.h
-include/gwenhywfar4/gwenhywfar/gwendate.h
-include/gwenhywfar4/gwenhywfar/gwenhywfar.h
-include/gwenhywfar4/gwenhywfar/gwenhywfarapi.h
-include/gwenhywfar4/gwenhywfar/gwensemaphore.h
-include/gwenhywfar4/gwenhywfar/gwensignal.h
-include/gwenhywfar4/gwenhywfar/gwentime.h
-include/gwenhywfar4/gwenhywfar/hashalgo.h
-include/gwenhywfar4/gwenhywfar/htmlctx_be.h
-include/gwenhywfar4/gwenhywfar/htmlfont_be.h
-include/gwenhywfar4/gwenhywfar/htmlimage_be.h
-include/gwenhywfar4/gwenhywfar/htmlobject_be.h
-include/gwenhywfar4/gwenhywfar/htmlprops_be.h
-include/gwenhywfar4/gwenhywfar/httpsession.h
-include/gwenhywfar4/gwenhywfar/i18n.h
-include/gwenhywfar4/gwenhywfar/idlist.h
-include/gwenhywfar4/gwenhywfar/idlist64.h
-include/gwenhywfar4/gwenhywfar/idmap.h
-include/gwenhywfar4/gwenhywfar/inetaddr.h
-include/gwenhywfar4/gwenhywfar/inetsocket.h
-include/gwenhywfar4/gwenhywfar/inherit.h
-include/gwenhywfar4/gwenhywfar/libloader.h
-include/gwenhywfar4/gwenhywfar/list.h
-include/gwenhywfar4/gwenhywfar/list1.h
-include/gwenhywfar4/gwenhywfar/list1.tmpl
-include/gwenhywfar4/gwenhywfar/list2.h
-include/gwenhywfar4/gwenhywfar/list2.tmpl
-include/gwenhywfar4/gwenhywfar/logger.h
-include/gwenhywfar4/gwenhywfar/mdigest.h
-include/gwenhywfar4/gwenhywfar/mdigest_be.h
-include/gwenhywfar4/gwenhywfar/memcache.h
-include/gwenhywfar4/gwenhywfar/memory.h
-include/gwenhywfar4/gwenhywfar/misc.h
-include/gwenhywfar4/gwenhywfar/misc2.h
-include/gwenhywfar4/gwenhywfar/msgengine.h
-include/gwenhywfar4/gwenhywfar/mutex.h
-include/gwenhywfar4/gwenhywfar/o_image_be.h
-include/gwenhywfar4/gwenhywfar/padd.h
-include/gwenhywfar4/gwenhywfar/paddalgo.h
-include/gwenhywfar4/gwenhywfar/path.h
-include/gwenhywfar4/gwenhywfar/pathmanager.h
-include/gwenhywfar4/gwenhywfar/plugin.h
-include/gwenhywfar4/gwenhywfar/plugindescr.h
-include/gwenhywfar4/gwenhywfar/process.h
-include/gwenhywfar4/gwenhywfar/refptr.h
-include/gwenhywfar4/gwenhywfar/ringbuffer.h
-include/gwenhywfar4/gwenhywfar/sar.h
-include/gwenhywfar4/gwenhywfar/sighead.h
-include/gwenhywfar4/gwenhywfar/sigtail.h
-include/gwenhywfar4/gwenhywfar/smalltresor.h
-include/gwenhywfar4/gwenhywfar/ssl_cert_descr.h
-include/gwenhywfar4/gwenhywfar/ssl_cert_flags.h
-include/gwenhywfar4/gwenhywfar/stringlist.h
-include/gwenhywfar4/gwenhywfar/stringlist2.h
-include/gwenhywfar4/gwenhywfar/syncio.h
-include/gwenhywfar4/gwenhywfar/syncio_buffered.h
-include/gwenhywfar4/gwenhywfar/syncio_file.h
-include/gwenhywfar4/gwenhywfar/syncio_http.h
-include/gwenhywfar4/gwenhywfar/syncio_memory.h
-include/gwenhywfar4/gwenhywfar/syncio_socket.h
-include/gwenhywfar4/gwenhywfar/syncio_tls.h
-include/gwenhywfar4/gwenhywfar/system.h
-include/gwenhywfar4/gwenhywfar/tag16.h
-include/gwenhywfar4/gwenhywfar/text.h
-include/gwenhywfar4/gwenhywfar/tlv.h
-include/gwenhywfar4/gwenhywfar/tree.h
-include/gwenhywfar4/gwenhywfar/types.h
-include/gwenhywfar4/gwenhywfar/url.h
-include/gwenhywfar4/gwenhywfar/urlfns.h
-include/gwenhywfar4/gwenhywfar/version.h
-include/gwenhywfar4/gwenhywfar/widget_be.h
-include/gwenhywfar4/gwenhywfar/xml.h
-include/gwenhywfar4/gwenhywfar/xmlctx.h
-include/gwenhywfar4/gwenhywfar/xsdnode.h
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr/dir.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct/ohbci.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.so.0
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/csv.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.so.0
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/olddb.xml
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.a
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.la
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.so
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.so.0
-lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.xml
-%%WITH_FOX16%%lib/libgwengui-fox16.a
-%%WITH_FOX16%%lib/libgwengui-fox16.la
-%%WITH_FOX16%%lib/libgwengui-fox16.so
-%%WITH_FOX16%%lib/libgwengui-fox16.so.0
-%%WITH_GTK2%%lib/libgwengui-gtk2.a
-%%WITH_GTK2%%lib/libgwengui-gtk2.la
-%%WITH_GTK2%%lib/libgwengui-gtk2.so
-%%WITH_GTK2%%lib/libgwengui-gtk2.so.0
-%%WITH_QT4%%lib/libgwengui-qt4.a
-%%WITH_QT4%%lib/libgwengui-qt4.la
-%%WITH_QT4%%lib/libgwengui-qt4.so
-%%WITH_QT4%%lib/libgwengui-qt4.so.0
-lib/libgwenhywfar.a
-lib/libgwenhywfar.la
-lib/libgwenhywfar.so
-lib/libgwenhywfar.so.63
-%%WITH_FOX16%%libdata/pkgconfig/gwengui-fox16.pc
-%%WITH_GTK2%%libdata/pkgconfig/gwengui-gtk2.pc
-%%WITH_QT4%%libdata/pkgconfig/gwengui-qt4.pc
-libdata/pkgconfig/gwenhywfar.pc
-share/aclocal/gwenhywfar.m4
-share/gwenhywfar/ca-bundle.crt
-share/gwenhywfar/dialogs/dlg_input.dlg
-share/gwenhywfar/dialogs/dlg_message.dlg
-share/gwenhywfar/dialogs/dlg_progress.dlg
-share/gwenhywfar/dialogs/dlg_showbox.dlg
-share/gwenhywfar/typemaker2/c/char.tm2
-share/gwenhywfar/typemaker2/c/char_array.tm2
-share/gwenhywfar/typemaker2/c/char_ptr.tm2
-share/gwenhywfar/typemaker2/c/double.tm2
-share/gwenhywfar/typemaker2/c/gwen_buffer.tm2
-share/gwenhywfar/typemaker2/c/gwen_date.tm2
-share/gwenhywfar/typemaker2/c/gwen_idlist64.tm2
-share/gwenhywfar/typemaker2/c/gwen_time.tm2
-share/gwenhywfar/typemaker2/c/idmap_base.tm2
-share/gwenhywfar/typemaker2/c/int.tm2
-share/gwenhywfar/typemaker2/c/int_base.tm2
-share/gwenhywfar/typemaker2/c/list1_base.tm2
-share/gwenhywfar/typemaker2/c/list2_base.tm2
-share/gwenhywfar/typemaker2/c/struct_base.tm2
-share/gwenhywfar/typemaker2/c/tree_base.tm2
-share/gwenhywfar/typemaker2/c/uint32_t.tm2
-share/gwenhywfar/typemaker2/c/uint64_t.tm2
-share/locale/de/LC_MESSAGES/gwenhywfar.mo
-@dirrm share/gwenhywfar/typemaker2/c
-@dirrm share/gwenhywfar/typemaker2
-@dirrm share/gwenhywfar/dialogs
-@dirrm share/gwenhywfar
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/ct
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/configmgr
-@dirrm lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%
-@dirrm lib/gwenhywfar/plugins
-@dirrm lib/gwenhywfar
-@dirrm include/gwenhywfar4/gwenhywfar
-%%WITH_QT4%%@dirrm include/gwenhywfar4/gwen-gui-qt4
-%%WITH_GTK2%%@dirrm include/gwenhywfar4/gwen-gui-gtk2
-%%WITH_FOX16%%@dirrm include/gwenhywfar4/gwen-gui-fox16
-@dirrm include/gwenhywfar4/gwen-gui-cpp
-@dirrm include/gwenhywfar4
+include/gwenhywfar4/gwen-gui-qt4/qt4_gui.hpp
+lib/libgwengui-qt4.a
+lib/libgwengui-qt4.la
+lib/libgwengui-qt4.so
+lib/libgwengui-qt4.so.0
+libdata/pkgconfig/gwengui-qt4.pc
+@dirrm include/gwenhywfar4/gwen-gui-qt4

Modified: head/devel/gwenhywfar/Makefile
==============================================================================
--- head/devel/gwenhywfar/Makefile	Sat Sep  1 17:05:11 2012	(r303494)
+++ head/devel/gwenhywfar/Makefile	Sat Sep  1 17:05:14 2012	(r303495)
@@ -1,42 +1,36 @@
-# New ports collection makefile for:	gwenhywfar
-# Date created:		2005-05-05
-# Whom:			Peter Cornelius <pcc.at.gmx.net>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	gwenhywfar
 PORTVERSION=	4.3.3
-PORTREVISION=	1
+PORTREVISION?=	2
 CATEGORIES=	devel net security
 MASTER_SITES=	http://www.aquamaniac.de/sites/download/download.php?package=01&release=67&file=01&dummy=/
 
-MAINTAINER=	bsdkaffee@gmail.com
-COMMENT=	Multi-platform helper library for networking and security applications
+MAINTAINER?=	bsdkaffee@gmail.com
+COMMENT?=	Multi-platform helper library for networking and security applications
 
 LICENSE=	LGPL21
-LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	gcrypt.18:${PORTSDIR}/security/libgcrypt \
-		gnutls.47:${PORTSDIR}/security/gnutls
+LIB_DEPENDS=	gcrypt:${PORTSDIR}/security/libgcrypt \
+		gnutls:${PORTSDIR}/security/gnutls
+
+.if !defined(SLAVEPORT)
+OPTIONS_DEFINE=	DOC MEMDEBUG
+
+MEMDEBUG_DESC=	Enable memory debugger statistic
+.endif
 
 USE_GMAKE=	yes
 USE_GETTEXT=	yes
 USE_OPENSSL=	yes
+USE_PKGCONFIG=	build
 USE_AUTOTOOLS=	libtool
-USE_GNOME=	gnomehack pkgconfig
-
-OPTIONS=	APIDOC "Full API documentation (requires Doxygen)" off \
-		MEMDEBUG "Enable memory debugger statistic" off \
-		FOX16 "Build FOX 1.6 GUI" off \
-		GTK2 "Build GTK 2.x GUI (for GnuCash)" on \
-		QT4 "Build Qt 4.x GUI (for KMyMoney)" on
+USE_GNOME=	gnomehack
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--enable-release="yes" \
-		--with-guis="${_GWEN_GUIS}"
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+		--with-guis="${SLAVEPORT}"
+CPPFLAGS+=	-DGCRYPT_NO_DEPRECATED
 MAKE_JOBS_SAFE=	yes
 
 PLIST_SUB=	GWEN_SHLIB_VER="${GWEN_SHLIB_VER}"
@@ -46,49 +40,51 @@ GWEN_SHLIB_VER=	60
 
 .include <bsd.port.options.mk>
 
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
+.if ${PORT_OPTIONS:MDOC}
 BUILD_DEPENDS+=	doxygen:${PORTSDIR}/devel/doxygen \
 		dot:${PORTSDIR}/graphics/graphviz
 CONFIGURE_ARGS+=--enable-full-doc
 PORTDOCS=	apidoc
 .endif
 
-.if defined(WITH_MEMDEBUG)
+.if ${PORT_OPTIONS:MMEMDEBUG}
 CONFIGURE_ARGS+=--enable-memtrace
 .endif
 
-.if defined(WITH_FOX16)
+.if defined(SLAVEPORT)
+LIB_DEPENDS+=	gwenhywfar:${PORTSDIR}/devel/gwenhywfar
+BUILD_WRKSRC=	${WRKSRC}/gui
+INSTALL_WRKSRC=	${WRKSRC}/gui/${SLAVEPORT}
+
+.if ${SLAVEPORT}=="fox16"
 LIB_DEPENDS+=	FOX-1.6:${PORTSDIR}/x11-toolkits/fox16
-PLIST_SUB+=	WITH_FOX16=""
-_GWEN_GUIS+=	fox16
-.else
-PLIST_SUB+=	WITH_FOX16="@comment "
+CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
+LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
 .endif
 
-.if defined(WITH_GTK2)
+.if ${SLAVEPORT}=="gtk2"
 USE_GNOME+=	gtk20
-PLIST_SUB+=	WITH_GTK2=""
-_GWEN_GUIS+=	gtk2
-.else
-PLIST_SUB+=	WITH_GTK2="@comment "
 .endif
 
-.if defined(WITH_QT4)
+.if ${SLAVEPORT}=="qt4"
 USE_QT4=	gui moc_build uic_build
 QT_NONSTANDARD=	yes
-PLIST_SUB+=	WITH_QT4=""
-_GWEN_GUIS+=	qt4
-.else
-PLIST_SUB+=	WITH_QT4="@comment "
+.endif
+.endif
+
+post-patch:
+.if defined(SLAVEPORT)
+	@${FIND} ${BUILD_WRKSRC} -name "Makefile.in" -type f | ${XARGS} \
+	${REINPLACE_CMD} -e 's|[$$][(]top_builddir[)]/src/[$$][(]gwenhywfar_internal_libname[)]|$$(gwenhywfar_libs)|g'
 .endif
 
 post-build:
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
+.if ${PORT_OPTIONS:MDOC}
 	@cd ${WRKSRC} && ${GMAKE} srcdoc
 .endif
 
 post-install:
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
+.if ${PORT_OPTIONS:MDOC}
 	${MKDIR} ${DOCSDIR}/apidoc
 	cd ${WRKSRC}/apidoc && \
 		${COPYTREE_SHARE} \* ${DOCSDIR}/apidoc

Modified: head/devel/gwenhywfar/pkg-plist
==============================================================================
--- head/devel/gwenhywfar/pkg-plist	Sat Sep  1 17:05:11 2012	(r303494)
+++ head/devel/gwenhywfar/pkg-plist	Sat Sep  1 17:05:14 2012	(r303495)
@@ -8,16 +8,6 @@ bin/xmlmerge
 include/gwenhywfar4/gwen-gui-cpp/cppdialog.hpp
 include/gwenhywfar4/gwen-gui-cpp/cppgui.hpp
 include/gwenhywfar4/gwen-gui-cpp/cppwidget.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/api.h
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/cppdialog.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/cppgui.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_gui.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmlctx.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmllabel.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmltext.hpp
-%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/theme.h
-%%WITH_GTK2%%include/gwenhywfar4/gwen-gui-gtk2/gtk2_gui.h
-%%WITH_QT4%%include/gwenhywfar4/gwen-gui-qt4/qt4_gui.hpp
 include/gwenhywfar4/gwenhywfar/args.h
 include/gwenhywfar4/gwenhywfar/base64.h
 include/gwenhywfar4/gwenhywfar/buffer.h
@@ -151,25 +141,10 @@ lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%
 lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.so
 lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.so.0
 lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.xml
-%%WITH_FOX16%%lib/libgwengui-fox16.a
-%%WITH_FOX16%%lib/libgwengui-fox16.la
-%%WITH_FOX16%%lib/libgwengui-fox16.so
-%%WITH_FOX16%%lib/libgwengui-fox16.so.0
-%%WITH_GTK2%%lib/libgwengui-gtk2.a
-%%WITH_GTK2%%lib/libgwengui-gtk2.la
-%%WITH_GTK2%%lib/libgwengui-gtk2.so
-%%WITH_GTK2%%lib/libgwengui-gtk2.so.0

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Raphael Kubo da Costa freebsd_committer 2012-09-01 18:05:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2012-09-01 18:36:19 UTC
Author: rakuco
Date: Sat Sep  1 17:36:04 2012
New Revision: 303502
URL: http://svn.freebsd.org/changeset/ports/303502

Log:
  Apply the rest of the changes that should have got in with r303495:
  - svn rm some files which were just emptied in the previous commit.
  - Adjust the new ports' Makefiles.
  
  PR:		ports/170492
  Submitted by:	Jason E. Hale <bsdkaffee@gmail.com> (maintainer)

Deleted:
  head/devel/gwenhywfar-fox16/distinfo
  head/devel/gwenhywfar-fox16/files/
  head/devel/gwenhywfar-fox16/pkg-descr
  head/devel/gwenhywfar-gtk2/distinfo
  head/devel/gwenhywfar-gtk2/files/
  head/devel/gwenhywfar-gtk2/pkg-descr
  head/devel/gwenhywfar-qt4/distinfo
  head/devel/gwenhywfar-qt4/files/
  head/devel/gwenhywfar-qt4/pkg-descr
Modified:
  head/devel/gwenhywfar-fox16/Makefile
  head/devel/gwenhywfar-gtk2/Makefile
  head/devel/gwenhywfar-qt4/Makefile

Modified: head/devel/gwenhywfar-fox16/Makefile
==============================================================================
--- head/devel/gwenhywfar-fox16/Makefile	Sat Sep  1 17:20:11 2012	(r303501)
+++ head/devel/gwenhywfar-fox16/Makefile	Sat Sep  1 17:36:04 2012	(r303502)
@@ -1,92 +1,13 @@
 # $FreeBSD$
 
-PORTNAME=	gwenhywfar
-PORTVERSION=	4.3.3
-PORTREVISION=	1
-CATEGORIES=	devel net security
-MASTER_SITES=	http://www.aquamaniac.de/sites/download/download.php?package=01&release=67&file=01&dummy=/
+PORTREVISION=	0
+PKGNAMESUFFIX=	-${SLAVEPORT}
 
 MAINTAINER=	bsdkaffee@gmail.com
-COMMENT=	Multi-platform helper library for networking and security applications
+COMMENT=	Gwenhywfar FOX-1.6 support library
 
-LICENSE=	LGPL21
-LICENSE_FILE=	${WRKSRC}/COPYING
+MASTERDIR=	${.CURDIR}/../../devel/gwenhywfar
+SLAVEPORT=	fox16
+PLIST=		${.CURDIR}/pkg-plist
 
-LIB_DEPENDS=	gcrypt.18:${PORTSDIR}/security/libgcrypt \
-		gnutls.47:${PORTSDIR}/security/gnutls
-
-USE_GMAKE=	yes
-USE_GETTEXT=	yes
-USE_OPENSSL=	yes
-USE_AUTOTOOLS=	libtool
-USE_GNOME=	gnomehack pkgconfig
-
-OPTIONS=	APIDOC "Full API documentation (requires Doxygen)" off \
-		MEMDEBUG "Enable memory debugger statistic" off \
-		FOX16 "Build FOX 1.6 GUI" off \
-		GTK2 "Build GTK 2.x GUI (for GnuCash)" on \
-		QT4 "Build Qt 4.x GUI (for KMyMoney)" on
-
-GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--enable-release="yes" \
-		--with-guis="${_GWEN_GUIS}"
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
-MAKE_JOBS_SAFE=	yes
-
-PLIST_SUB=	GWEN_SHLIB_VER="${GWEN_SHLIB_VER}"
-USE_LDCONFIG=	yes
-
-GWEN_SHLIB_VER=	60
-
-.include <bsd.port.options.mk>
-
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
-BUILD_DEPENDS+=	doxygen:${PORTSDIR}/devel/doxygen \
-		dot:${PORTSDIR}/graphics/graphviz
-CONFIGURE_ARGS+=--enable-full-doc
-PORTDOCS=	apidoc
-.endif
-
-.if defined(WITH_MEMDEBUG)
-CONFIGURE_ARGS+=--enable-memtrace
-.endif
-
-.if defined(WITH_FOX16)
-LIB_DEPENDS+=	FOX-1.6:${PORTSDIR}/x11-toolkits/fox16
-PLIST_SUB+=	WITH_FOX16=""
-_GWEN_GUIS+=	fox16
-.else
-PLIST_SUB+=	WITH_FOX16="@comment "
-.endif
-
-.if defined(WITH_GTK2)
-USE_GNOME+=	gtk20
-PLIST_SUB+=	WITH_GTK2=""
-_GWEN_GUIS+=	gtk2
-.else
-PLIST_SUB+=	WITH_GTK2="@comment "
-.endif
-
-.if defined(WITH_QT4)
-USE_QT4=	gui moc_build uic_build
-QT_NONSTANDARD=	yes
-PLIST_SUB+=	WITH_QT4=""
-_GWEN_GUIS+=	qt4
-.else
-PLIST_SUB+=	WITH_QT4="@comment "
-.endif
-
-post-build:
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
-	@cd ${WRKSRC} && ${GMAKE} srcdoc
-.endif
-
-post-install:
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
-	${MKDIR} ${DOCSDIR}/apidoc
-	cd ${WRKSRC}/apidoc && \
-		${COPYTREE_SHARE} \* ${DOCSDIR}/apidoc
-.endif
-
-.include <bsd.port.mk>
+.include "${MASTERDIR}/Makefile"

Modified: head/devel/gwenhywfar-gtk2/Makefile
==============================================================================
--- head/devel/gwenhywfar-gtk2/Makefile	Sat Sep  1 17:20:11 2012	(r303501)
+++ head/devel/gwenhywfar-gtk2/Makefile	Sat Sep  1 17:36:04 2012	(r303502)
@@ -1,92 +1,13 @@
 # $FreeBSD$
 
-PORTNAME=	gwenhywfar
-PORTVERSION=	4.3.3
-PORTREVISION=	1
-CATEGORIES=	devel net security
-MASTER_SITES=	http://www.aquamaniac.de/sites/download/download.php?package=01&release=67&file=01&dummy=/
+PORTREVISION=	0
+PKGNAMESUFFIX=	-${SLAVEPORT}
 
 MAINTAINER=	bsdkaffee@gmail.com
-COMMENT=	Multi-platform helper library for networking and security applications
+COMMENT=	Gwenhywfar GTK2+ support library
 
-LICENSE=	LGPL21
-LICENSE_FILE=	${WRKSRC}/COPYING
+MASTERDIR=	${.CURDIR}/../../devel/gwenhywfar
+SLAVEPORT=	gtk2
+PLIST=		${.CURDIR}/pkg-plist
 
-LIB_DEPENDS=	gcrypt.18:${PORTSDIR}/security/libgcrypt \
-		gnutls.47:${PORTSDIR}/security/gnutls
-
-USE_GMAKE=	yes
-USE_GETTEXT=	yes
-USE_OPENSSL=	yes
-USE_AUTOTOOLS=	libtool
-USE_GNOME=	gnomehack pkgconfig
-
-OPTIONS=	APIDOC "Full API documentation (requires Doxygen)" off \
-		MEMDEBUG "Enable memory debugger statistic" off \
-		FOX16 "Build FOX 1.6 GUI" off \
-		GTK2 "Build GTK 2.x GUI (for GnuCash)" on \
-		QT4 "Build Qt 4.x GUI (for KMyMoney)" on
-
-GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--enable-release="yes" \
-		--with-guis="${_GWEN_GUIS}"
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
-MAKE_JOBS_SAFE=	yes
-
-PLIST_SUB=	GWEN_SHLIB_VER="${GWEN_SHLIB_VER}"
-USE_LDCONFIG=	yes
-
-GWEN_SHLIB_VER=	60
-
-.include <bsd.port.options.mk>
-
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
-BUILD_DEPENDS+=	doxygen:${PORTSDIR}/devel/doxygen \
-		dot:${PORTSDIR}/graphics/graphviz
-CONFIGURE_ARGS+=--enable-full-doc
-PORTDOCS=	apidoc
-.endif
-
-.if defined(WITH_MEMDEBUG)
-CONFIGURE_ARGS+=--enable-memtrace
-.endif
-
-.if defined(WITH_FOX16)
-LIB_DEPENDS+=	FOX-1.6:${PORTSDIR}/x11-toolkits/fox16
-PLIST_SUB+=	WITH_FOX16=""
-_GWEN_GUIS+=	fox16
-.else
-PLIST_SUB+=	WITH_FOX16="@comment "
-.endif
-
-.if defined(WITH_GTK2)
-USE_GNOME+=	gtk20
-PLIST_SUB+=	WITH_GTK2=""
-_GWEN_GUIS+=	gtk2
-.else
-PLIST_SUB+=	WITH_GTK2="@comment "
-.endif
-
-.if defined(WITH_QT4)
-USE_QT4=	gui moc_build uic_build
-QT_NONSTANDARD=	yes
-PLIST_SUB+=	WITH_QT4=""
-_GWEN_GUIS+=	qt4
-.else
-PLIST_SUB+=	WITH_QT4="@comment "
-.endif
-
-post-build:
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
-	@cd ${WRKSRC} && ${GMAKE} srcdoc
-.endif
-
-post-install:
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
-	${MKDIR} ${DOCSDIR}/apidoc
-	cd ${WRKSRC}/apidoc && \
-		${COPYTREE_SHARE} \* ${DOCSDIR}/apidoc
-.endif
-
-.include <bsd.port.mk>
+.include "${MASTERDIR}/Makefile"

Modified: head/devel/gwenhywfar-qt4/Makefile
==============================================================================
--- head/devel/gwenhywfar-qt4/Makefile	Sat Sep  1 17:20:11 2012	(r303501)
+++ head/devel/gwenhywfar-qt4/Makefile	Sat Sep  1 17:36:04 2012	(r303502)
@@ -1,92 +1,13 @@
 # $FreeBSD$
 
-PORTNAME=	gwenhywfar
-PORTVERSION=	4.3.3
-PORTREVISION=	1
-CATEGORIES=	devel net security
-MASTER_SITES=	http://www.aquamaniac.de/sites/download/download.php?package=01&release=67&file=01&dummy=/
+PORTREVISION=	0
+PKGNAMESUFFIX=	-${SLAVEPORT}
 
 MAINTAINER=	bsdkaffee@gmail.com
-COMMENT=	Multi-platform helper library for networking and security applications
+COMMENT=	Gwenhywfar Qt4 support library
 
-LICENSE=	LGPL21
-LICENSE_FILE=	${WRKSRC}/COPYING
+MASTERDIR=	${.CURDIR}/../../devel/gwenhywfar
+SLAVEPORT=	qt4
+PLIST=		${.CURDIR}/pkg-plist
 
-LIB_DEPENDS=	gcrypt.18:${PORTSDIR}/security/libgcrypt \
-		gnutls.47:${PORTSDIR}/security/gnutls
-
-USE_GMAKE=	yes
-USE_GETTEXT=	yes
-USE_OPENSSL=	yes
-USE_AUTOTOOLS=	libtool
-USE_GNOME=	gnomehack pkgconfig
-
-OPTIONS=	APIDOC "Full API documentation (requires Doxygen)" off \
-		MEMDEBUG "Enable memory debugger statistic" off \
-		FOX16 "Build FOX 1.6 GUI" off \
-		GTK2 "Build GTK 2.x GUI (for GnuCash)" on \
-		QT4 "Build Qt 4.x GUI (for KMyMoney)" on
-
-GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--enable-release="yes" \
-		--with-guis="${_GWEN_GUIS}"
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
-MAKE_JOBS_SAFE=	yes
-
-PLIST_SUB=	GWEN_SHLIB_VER="${GWEN_SHLIB_VER}"
-USE_LDCONFIG=	yes
-
-GWEN_SHLIB_VER=	60
-
-.include <bsd.port.options.mk>
-
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
-BUILD_DEPENDS+=	doxygen:${PORTSDIR}/devel/doxygen \
-		dot:${PORTSDIR}/graphics/graphviz
-CONFIGURE_ARGS+=--enable-full-doc
-PORTDOCS=	apidoc
-.endif
-
-.if defined(WITH_MEMDEBUG)
-CONFIGURE_ARGS+=--enable-memtrace
-.endif
-
-.if defined(WITH_FOX16)
-LIB_DEPENDS+=	FOX-1.6:${PORTSDIR}/x11-toolkits/fox16
-PLIST_SUB+=	WITH_FOX16=""
-_GWEN_GUIS+=	fox16
-.else
-PLIST_SUB+=	WITH_FOX16="@comment "
-.endif
-
-.if defined(WITH_GTK2)
-USE_GNOME+=	gtk20
-PLIST_SUB+=	WITH_GTK2=""
-_GWEN_GUIS+=	gtk2
-.else
-PLIST_SUB+=	WITH_GTK2="@comment "
-.endif
-
-.if defined(WITH_QT4)
-USE_QT4=	gui moc_build uic_build
-QT_NONSTANDARD=	yes
-PLIST_SUB+=	WITH_QT4=""
-_GWEN_GUIS+=	qt4
-.else
-PLIST_SUB+=	WITH_QT4="@comment "
-.endif
-
-post-build:
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
-	@cd ${WRKSRC} && ${GMAKE} srcdoc
-.endif
-
-post-install:
-.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
-	${MKDIR} ${DOCSDIR}/apidoc
-	cd ${WRKSRC}/apidoc && \
-		${COPYTREE_SHARE} \* ${DOCSDIR}/apidoc
-.endif
-
-.include <bsd.port.mk>
+.include "${MASTERDIR}/Makefile"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"